import api from '@/api';
// import 'lib-flexible'
import 'amfe-flexible';
import Vant from 'vant';
import 'vant/lib/index.css';
import vConsole from 'vconsole';
import Vue from "vue";
import App from "./App.vue";
// import './utils/rem.js'
import router from "./router/router";
// 引入vuex-store
import store from './store/index';

//自定义toast
import customToast from './components/customToast'
Vue.use(customToast)


Vue.use(Vant)
// Vue.prototype.$vConsole = new vConsole()

Vue.prototype.$api = api;
Vue.config.productionTip = false;

new Vue({
  store,
  router,
  render: (h) => h(App),
  mounted () {
    document.dispatchEvent(new Event('render-event'))
  }
}).$mount("#app");
